PDA

View Full Version : Problem with: new version of MediaBridge



iolaus
September 4th, 2009, 10:24 AM
I installed a new version of media bridge on my Windows 2008 x64 Server and I'm getting the error shown in the attachment when include my SageTV plugin (which was working on a previous version of MediaBridge). Any suggestions on how to get more information? I'm not sure if it is Windows 2K8 or the new version of Media Bridge that is causing the problem.

Thanks,
Ryan

Rob H
September 5th, 2009, 08:15 AM
What was the previous version of Mediabridge?

iolaus
September 8th, 2009, 03:24 AM
Sorry for the delay, the old version was: 2.2.0.89

Rob H
September 8th, 2009, 08:04 AM
You will probably need to rebuild your SageTV plugin then. I'm afraid the names of the interfaces changed a while ago e.g. MBItem is now IMBItem

iolaus
September 8th, 2009, 11:15 AM
Rob,

I don't mind rebuilding at all (especially since the I-prefix on the interfaces clarifies things a lot) but where can I get the new MediaBridge SDK? The one listed on the developer section is still version 1.0 from Jun 30, 2006.

Thanks.

Rob H
September 8th, 2009, 12:24 PM
It's substantially the same except for the interface names, you just need the MBPlugin.dll from the Promixis\Mediabridge folder.

I will try to produce a new version of the SDK though, with a new help file.

iolaus
October 7th, 2009, 03:49 PM
Hey Rob,

Any progress on the new MediaBridge SDK?

Thanks,
Ryan

Rob H
October 8th, 2009, 07:25 PM
Not yet no, it's still on the list, but not very near the top I'm afraid.